Bug 7496 - LDAP controls: S4 exposes the RELAX control
LDAP controls: S4 exposes the RELAX control
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
unspecified
Other Linux
: P3 critical
: ---
Assigned To: Andrew Bartlett
samba4-qa@samba.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-05 10:33 UTC by Matthieu Patou
Modified: 2010-10-31 12:41 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthieu Patou 2010-06-05 10:33:52 UTC
The relax control is exposed and it should not be so.
Comment 1 Matthias Dieter Wallnöfer 2010-07-03 04:55:36 UTC
ekacnet, do you know for which purpose it has been exposed? What was the reason?
Comment 2 Matthias Dieter Wallnöfer 2010-07-03 05:00:13 UTC
I think the reason is the "urgent_replication" test.
Comment 3 Matthieu Patou 2010-07-03 05:27:51 UTC
ask andrew b. I don't exactly know or make a git blame.
Comment 4 Matthias Dieter Wallnöfer 2010-10-16 15:35:24 UTC
This should have been fixed in "master".
Comment 5 Matthias Dieter Wallnöfer 2010-10-18 04:49:28 UTC
Unfortunately this is much harder to achieve than it seems. I cite abartlet's commit message:
> This must be available to the OpenLDAP backend, to set the GUID values
> in some situations.  We need a proper ACL mechanism to control the use
> or abuse of this control.
Comment 6 Matthias Dieter Wallnöfer 2010-10-31 12:41:48 UTC
Well, this is "FIXED" - we need only to move step by step to the PROVISION control.